export default function DataTableFilterDataStructure(filterData, isValueEmpty) {
  return Object.values(filterData)
    .filter((filter) => !isValueEmpty(filter.value))
    .map(({ filterMode, id, datatype, value }) => ({
      id: id.replace(/__/g, "."),
      fn: filterMode,
      datatype,
      value,
    }));
}
